package com.bipt.intelligentapplicationorchestrationservice.service;

import com.bipt.intelligentapplicationorchestrationservice.entity.dto.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.entity.dto.GpuResponseDTO;
import com.bipt.intelligentapplicationorchestrationservice.entity.dto.GpuUpdateDTO;
import com.bipt.intelligentapplicationorchestrationservice.entity.vo.ResponseVO;

import java.util.List;

public interface GpuManageService {
    public ResponseVO createGpuResource(GpuCreateDTO dto);
    public ResponseVO deleteGpuResource(Long gpuId);
    public void updateGpuResource(GpuUpdateDTO entity);
    public List<GpuResponseDTO> searchByCriteria(String model, Integer memorySize, String ip);
}
