package com.bipt.intelligentapplicationorchestrationservice.service;

import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetPageQueryDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.PageResult;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.util.List;

/**
 * @author hky
 */
public interface DatasetService {
    void save(DatasetDTO datasetDTO, MultipartFile file);

    void update(DatasetDTO datasetDTO, MultipartFile file);

    PageResult pageQuery(DatasetPageQueryDTO dataSetPageQueryDTO);

    void deleteBatch(List<Long> datasetIds);

    InputStream downloadDataset(Long datasetId);
}
